/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/sgx/gui/standard_skin.hpp

*/

#ifndef SGX_CORE_GUI_STANDARD_SKIN_HPP
#define SGX_CORE_GUI_STANDARD_SKIN_HPP	1

#include "sgx/graphics/graphics.hpp"

class sgxGUISkinnedStdImageButton : public sgxGUISkinnedImageButton {
public:
	virtual void	draw(CSGXDrawSurface *pSurface) const;

	//CSGXTexture *m_pTexture;
};

class sgxGUISkinnedStdButton : public sgxGUISkinnedButton {
public:
	virtual void	draw(CSGXDrawSurface *pSurface) const;

	CSGXTexture *m_pTexture;
};

class sgxGUISkinnedStdCheckBox : public sgxGUISkinnedCheckBox {
public:
	virtual void	draw(CSGXDrawSurface *pSurface) const;

	CSGXTexture *m_pTexture;
};

class sgxGUISkinnedStdRadioButton : public sgxGUISkinnedRadioButton {
public:
	virtual void	draw(CSGXDrawSurface *pSurface) const;

	CSGXTexture *m_pTexture;
};

class sgxGUISkinStandard : public CSGXGUISkin {
public:
	sgxGUISkinStandard();
	sgxGUISkinStandard(const sgxGUISkinSettings &settings);

	virtual sgxGUISkinnedButton *		getSkinnedButton() const;
	virtual sgxGUISkinnedImageButton *	getSkinnedImageButton() const;
	virtual sgxGUISkinnedCheckBox *		getSkinnedCheckBox() const;
	virtual sgxGUISkinnedRadioButton *	getSkinnedRadioButton() const;
	virtual sgxGUISkinnedHotSpot *		getSkinnedHotSpot() const;
};


#endif /* SGX_CORE_GUI_STANDARD_SKIN_HPP */
